%define module_name ltmodem
%define module_version 8.26a9
%define module_release alt5alk7
%define module_source_dir %module_name-%module_version
%define alk_version 2.6-alk-7

Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: Distributable
Group: Development/Kernel

Provides: kernel-source-%module_name = %version-%release
Obsoletes: kernel-source-%module_name

Source0: http://www.physcip.uni-stuttgart.de/heby/ltmodem/%module_name-%module_version.tar.gz
# repacked http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/ltmodem-2.6-alk-7.tar.bz2
# removed object files and Makefile
Source1: %module_name-%alk_version.tar.bz2
Source2: Makefile.%module_name-%module_version
URL: http://www.physcip.uni-stuttgart.de/heby/ltmodem/

BuildArch: noarch
BuildPreReq: kernel-build-tools

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

%package -n kernel-doc-%module_name-%module_version
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

Provides: kernel-doc-%module_name = %version-%release
Obsoletes: kernel-doc-%module_name

%description
Driver sources for Lucent/Agere winmodems

%description -n kernel-doc-%module_name-%module_version
%module_name modules documentation for Linux kernel

%prep
%setup -c
%setup -T -D -n %name-%version/%module_source_dir -a 1 
%__tar -xzf source.tar.gz
%__rm -f source.tar.gz

%build
%__mkdir docs
%__mv source/* .
%__mv DOCs utils 1ST-READ CHANGELOG UPDATES-BUGS docs/
%__mv linuxif.h linuxif-2.4.h
%__mv ltmodem.c ltmodem-2.4.c
%__mv serial-lt-2.4.c serial-2.4.c
%__mv ltmdmobj.o ltmdmobj.o.gcc2
pushd %module_name-%alk_version
%__mv linuxif.h ../linuxif-2.6.h
%__mv lt_modem.c ../ltmodem-2.6.c
%__mv serial.c ../serial-2.6.c
%__mkdir ../docs/%module_name-%alk_version
%__mv docs/ DEFINES NEWS README ../docs/%module_name-%alk_version/
popd
%__install -m644 %SOURCE2 Makefile

%install
%__mkdir_p %buildroot%_defaultdocdir
%__mv docs/ %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__mkdir_p %buildroot%kernel_src/kernel-source-%module_name-%module_version
%__mv linuxif-2.*.h \
      ltmodem-2.*.c \
      serial-2.*.c \
      ltmdmobj.o* \
      Makefile \
      %buildroot%kernel_src/kernel-source-%module_name-%module_version
cd %buildroot%kernel_src
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%__rm -fr kernel-source-%module_name-%module_version

%files
%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name-%module_version
%doc %_defaultdocdir/%module_name-doc-%module_version

%changelog
* Fri May 13 2005 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt5alk7
- update 2.6 part to alk7, add docs from alk's package
- include driver version in package name

* Thu Apr 15 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt4
- some Makefile fixes
- Sisyphus build

* Fri Jan 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 8.26a9-alt3
- changed to kbuild Makefile for 2.6

* Wed Jan 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt2
- 2.6 support
- spec fully rewritten to package only necessary files

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1
- imported to Sisyphus

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.4
- Adapting for ALT
